<?php

namespace app\shared\controller\user;
use app\shared\logic\user\StoreForm;
//商户管理
class Store{
	//分类列表
    public function categoryList(){
    	$form=new StoreForm();
		return $form->categoryList();
    }
	//民宿列表
	public function info(){
		$form=new StoreForm();
		return $form->info();
	}
	//商户列表
	public function list(){
		$form=new StoreForm();
		return $form->list();
	}
	//茶室信息
    public function houseInfo(){
    	$form=new StoreForm();
		return $form->houseInfo();
    }
    //二维码
    public function qrcode(){
    	$form=new StoreForm();
		return $form->qrcode();
    }
    //申请成为商家
    public function applyBecomeStore(){
    	$form=new StoreForm();
		return $form->applyBecomeStore();
    }
    //优惠券列表
    public function couponList(){
        $form=new StoreForm();
        return $form->couponList();
    }
    //领券中心
    public function couponCenter(){
        $form=new StoreForm();
        return $form->couponCenter();
    }
    //领取优惠券
    public function receiveCoupon(){
        $form=new StoreForm();
        return $form->receiveCoupon();
    }
     //充值金额
    public function recharge(){
        $form=new StoreForm();
        return $form->recharge();
    }
    //余额明细列表
    public function moneyBill(){
        $form=new StoreForm();
        return $form->moneyBill();
    }
    //商家充值列表
    public function rechargeList(){
        $form=new StoreForm();
        return $form->rechargeList();
    }
    //用户金额
    public function userMoney(){
        $form=new StoreForm();
        return $form->userMoney();
    }
    
}